Subject: [Pce] Recollection on the PCE Architecture ID last call discussion

From: JP Vasseur <[email-masked]>
Date: Fri, 13 Jan 2006 08:36:41 -0500

Hi,

Thanks for all of you who participated in the resolution of the items  
discussed during the last WG Last Call.

We've now reached a consensus.

Below is my recollection on the proposed changes to draft-ietf-pce- 
architecture triggered by the discussions during WG Last Call.

1) Title change:

Four proposals:
a) A PCE-Based Network Architecture
b) Architecture for Path Computation Using a Path Computation Element  
(PCE)
c) A PCE-based architecture model
d) A PCE-based path computation model

I'd vote for d) (IMO the most accurate)

Objection ?

2)
> > - Section 4.9.2: "Back-off times, alternate path computations,  
> and crankback
> > can help to mitigate this sort of problem, and PCE may also  
> improve the
> > chances of successful TE LSP setup." Suggest "computation of  
> alternate
> > paths" to avoid ambiguity.
>
> Yes.

3)
> > - Section 5.4: "Multiple PCE path computation with inter-PCE  
> communication
> > involves coordination between distributed PCEs such that the  
> result of the
> > computation performed by one PCE depends on information supplied  
> by other
> > PCEs. This model does not provide a distributed computation  
> algorithm, but
> > allows distinct PCEs to be responsible for computation of parts  
> (segments)
> > of the path."
> > 1- I believe you mean different or distinct PCEs instead of  
> distributed PCEs.
>
> Yes.

4)
> > - Section 6.3: Suggest "better" or "closer to optimal" instead of  
> "more
> > optimal".
>
> Agreed.

5)
> Recall, we are in section 5.4 (Multiple PCE Path Computation with
> Inter-PCE Communication).
>
> You imply that the model described assumes that "PCEs have  
> information on
> other domains (aggregate or detailed) availabel a priori or upon  
> request."
> This is not the case. I think you are confused by the text...
>    Multiple PCE path computation with inter-PCE communication involves
>    coordination between distinct PCEs such that the result of the
>    computation performed by one PCE depends on information supplied by
>    other PCEs.
> You assume that the "information supplied" is TE information. But it
> doesn't say that. Perhaps we should clarify what this information  
> is since
> it is less than clear.
> We will update this to indicate that the information is "path fragment
> information".

6)
>> Therefore, the starting
>> paragraph in Section 6.3 also needs to be modified, as multiple PCC
> requests
>> does not necessarily mean non-synchronized path computation (unless
>> explicitly requested, which we'll address in the next bullet).
>
> OK. I can change "will" to "may" to read...
>    In this case of non-synchronized path computation, the PCE may make
>    multiple individual path computations to generate the paths and the

7) Specification of the algorithm to use by the PCE not required:  
quantitative/qualitative constraints must be specified in the  
request, algo to use may be valuable.

8) Few other minor editorial changes.

Adrian, could you please post the new revision incorporating these  
changes and we'll move forward and send to AD.

Thanks.

JP.

_______________________________________________
Pce mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pce